! Copyright (C) GFD Dennou Club, 2000.  All rights reserved.


subroutine GTVarAttrRewind(var)
    use gtdata_types, only: GT_VARIABLE
    use an_generic, only: attr_rewind
    type(GT_VARIABLE), intent(inout):: var
    if (associated(var%an)) then
        call attr_rewind(var%an)
    endif
end subroutine

subroutine GTVarAttrNext(var, name, end)
    use gtdata_types, only: GT_VARIABLE
    use dc_string, only: VSTRING    
    use an_generic, only: attr_next
    type(GT_VARIABLE), intent(inout):: var
    type(VSTRING), intent(out):: name
    logical, intent(out), optional:: end
    if (associated(var%an)) then
        call attr_next(var%an, name, end)
    endif
end subroutine
